/// @file   Log.hpp
/// @author Armin Co
///

#ifndef GUI_CORE_LOG_HPP
#define GUI_CORE_LOG_HPP

#include <memory>

#include <spdlog/spdlog.h>

namespace GuiCore
{
    class Log
    {
    public:
        static void setup();
        static std::shared_ptr<spdlog::logger> get();

    private:
        static std::shared_ptr<spdlog::logger> s_logger;
    };
}

#endif