/// @file   Timestep.cpp
/// @author Armin Co
///

#include "Timestep.hpp"

namespace GuiCore
{
    Timestep::Timestep(float time)
        : m_time {time}
    {
    }

    float Timestep::getSeconds() const
    {
        return m_time;
    }

    float Timestep::getMilliseconds() const
    {
        return m_time * 1000.0f;
    }
}