/// @file   Timestep.hpp
/// @author Armin Co
///

#ifndef GUI_CORE_TIMESTEP_HPP
#define GUI_CORE_TIMESTEP_HPP

namespace GuiCore
{
    class Timestep
    {
    public:
        Timestep(float time = 0.0f);
    
        float getSeconds() const;
        float getMilliseconds() const;

    private:
        float m_time;
    };
}

#endif