/// @file   PlayingLayer.hpp
/// @authro _Armin Co
///

#ifndef QPONG_PLAYING_LAYER_HPP
#define QPONG_PLAYING_LAYER_HPP

#include <GuiCore/Layer.hpp>

namespace QPong
{
    class PlayingLayer : public GuiCore::Layer
    {
    public:
        PlayingLayer();
        virtual ~PlayingLayer(){};

        virtual void onAttach() override;
        virtual void onDetach() override;
        virtual void onUpdate(GuiCore::Timestep ts) override;
        virtual void onGuiRender() override;
        virtual void onEvent(GuiCore::Event &event) override;

    private:
        bool m_startNow;
        
        struct Player
        {
            int totalScore;
            
        };
    };
} 
#endif