/// @file   Layer.cpp
/// @author Armin Co
///

#include "Layer.hpp"

namespace GuiCore
{
    Layer::Layer(const std::string &debugName)
        : m_debugName{debugName}
    {
    }

    Layer::~Layer()
    {
    }

    const std::string &Layer::getName() const
    {
        return m_debugName;
    }
}

