/// @file   PlayingLayer.cpp
/// @author Armin Co
///

#include "PlayingLayer.hpp"

#include <imgui/imgui.h>
#include <GuiCore/Input.hpp>

#include "Log.hpp"

using namespace QPong;

PlayingLayer::PlayingLayer()
{

}

void PlayingLayer::onAttach()
{

}

void PlayingLayer::onEvent(GuiCore::Event &event)
{

}

void PlayingLayer::onUpdate(GuiCore::Timestep ts)
{ 
    if (GuiCore::Input::isKeyPressed(Key::Right)) Log::get()->debug("Key [Right]");
    if (GuiCore::Input::isKeyPressed(Key::Left)) Log::get()->debug("Key [Left]");
    if (GuiCore::Input::isKeyPressed(Key::Down)) Log::get()->debug("Key Down]");
    if (GuiCore::Input::isKeyPressed(Key::Up)) Log::get()->debug("Key [Up]");
}

void PlayingLayer::onGuiRender()
{
    ImGui::Begin("PlayingLayer");
    ImGui::Text("Test");
    ImGui::End();
}

void PlayingLayer::onDetach()
{

}
